# $Revision: 1.3 $, $Date: 2004/05/06 18:43:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Expression
Summary:	Math::Expression - evaluate arithmetic/string expressions
Summary(pl):	Math::Expression - obliczanie wyrae arytmetycznych i na acuchach znakw
Name:		perl-Math-Expression
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3efe3b9f1dca35b7fd0ecc79f0fe2b0d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module solves the problem of evaluating expressions read from
config files without the use of eval. String and arithmetic operators
are supported, as are: conditions, arrays and functions. The
name-space is managed (for security), user provided functions may be
specified to set/get variable values. Error messages may be via a user
provided function. This is not designed for high computation use.

%description -l pl
Ten modu rozwizuje problem obliczania wyrae odczytywanych z plikw
konfiguracyjnych bez uywania eval. Obsugiwane s operatory
arytmetyczne i na acuchach znakw, a take: warunki, tablice i
funkcje. Przestrze nazw jest zarzdzana (ze wzgldw bezpieczestwa),
mog byc podane funkcje do ustawiania i pobierania wartoci zmiennych.
Komunikaty bdw mog by przekazywane przez podan funkcj. Modu
nie jest przeznaczony do skomplikowanych oblicze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README TODO
%{perl_vendorlib}/Math/Expression.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Expression.spec,v $
Revision 1.3  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/23 07:50:16  ankry
- license fixes, unification

Revision 1.1  2003/10/25 18:16:28  qboosh
- new

